# List Customer Transactions (deprecated)

Returns a list of transactions from a customer's bank accounts. It does not include transactions between the bank account and brokerage account. Deprecated: Use List Customer Transactions instead.

Endpoint: GET /api/v1/customers/{customer_id}/transactions/
Version: Version: aec57205
Security: HTTPBearer

## Path parameters:

  - `customer_id` (string, required)

## Query parameters:

  - `order` (string)
    Ordered by the transaction timestamp, descending by default.
    Enum: "desc", "asc"

  - `account[]` (any)

  - `filter[card]` (any)

  - `filter[portal]` (any)

  - `filter[types]` (any)

  - `filter[on_us_transfer]` (any)

  - `filter[wire]` (any)

  - `timestamp_from` (any)

  - `timestamp_to` (any)

  - `cursor` (string)

  - `limit` (integer)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `prev_page` (any)

  - `next_page` (any)

  - `items` (array, required)

  - `items.id` (string, required)

  - `items.jiko_account_id` (string, required)

  - `items.amount` (object, required)

  - `items.amount.value` (integer, required)
    USD values are always in cents.

  - `items.amount.currency` (string, required)

  - `items.amount.formatted` (string)

  - `items.timestamp` (string, required)

  - `items.status` (string, required)
    Enum: "PENDING", "COMPLETED"

  - `items.details` (object, required)

  - `items.details.transaction_type` (string, required)
    Enum: "CARD", "CASH_BACK", "ACH", "WIRE", "WIRE_FEE", "GENERIC", "ON_US"

  - `items.details.title` (any)

  - `items.details.sub_title` (any)

  - `items.details.transaction_type_title` (any)

  - `items.details.card_transaction` (any)
    - `location` (any)
      - `street_address` (string, required)
      - `city` (string, required)
      - `state` (any)
      - `country` (string, required)
    - `counterparty` (any)
    - `terminal_id` (any)
    - `merchant_type` (any)
    - `pre_authorization` (boolean, required)
    - `issue_id` (any)

  - `items.details.ach_transaction` (any)
    - `company_name` (string, required)
    - `company_entry_description` (any)
    - `individual_identification_number` (any)
    - `trace_number` (any)
    - `ach_id` (any)
      The ID of the transfer object associated with this transaction. This field will be not be populated for originations before July 2024.
    - `ach_direction` (string, required)
      Enum: "RECEIVING", "ORIGINATION"
    - `portal_id` (any)
      The ID of the portal used to receive this ACH transfer.

  - `items.details.wire_transaction` (any)
    - `reference_number` (string, required)
    - `counterparty_name` (string, required)
    - `wire_id` (any)

  - `items.details.wire_fee_transaction` (any)
    - `reference_number` (string, required)
    - `counterparty_name` (string, required)
    - `wire_id` (any)

  - `items.details.cash_back_transaction` (any)
    - `period` (string, required)
      Which period the cash back was calculated for, in YYYY-MM format.
    - `card_id` (string, required)

  - `items.details.on_us_transaction` (any)
    - `on_us_transfer_id` (string, required)
    - `on_us_transfer_type` (string, required)
    - `counterparty` (any)
    - `source` (any)
    - `target` (any)

  - `items.object_type` (string, required)

  - `object_type` (string)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


## Response 404 fields
